/*
 * ANTs - Fourmis informatiques
 * Copyright (C) 2000 MiKael NAVARRO
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */

#define _NEST_C

#include <stdio.h>
#include <stdlib.h>

#include <math.h>

#include <assert.h>

#include "nest.h"


/**
 * Display nest.
 */
int nest_display(Nest n) {
  /* Assertion */
  assert(n);

  /* Display */
  //setbuf(stdout, NULL);  /* disable buffering on stdout */
  for(int j=0; j<nest_ymax(n); j++) {
    for(int i=0; i<nest_xmax(n); i++) {
      switch(nest_is_busy(n, i, j)) {
      case NONE:
        printf(" "); break;
      case EGG:
        printf("e"); break;
      case LARVA:
        printf("l"); break;
      case COCOON:
        printf("c"); break;
      default:
        printf("x"); break;
      }
    }
    printf("\n");
  }
  fflush(stdout);  /* will now print everything in the stdout buffer */

  return 0;
}


