/* 
 * Stack abstract data type - Last In First Out.
 * Copyright (C) 2003 MiKael NAVARRO
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */

#define _STACK_C

#include <stdio.h>
#include <stdlib.h>

#include <assert.h>

#include "stack.h"

/* Usefull macros */
#define MIN(a,b) ((a)<(b)?(a):(b))
#define MAX(a,b) ((a)>(b)?(a):(b))


#define DEPTH 6 /* display depth */

/** 
 * Display stack. 
 * Display only the first DEPTH elems.
 */
int stack_aff(Stack stack) {
  /* Assertion */
  assert(stack);

  printf("\n");
  for(int i=0; i<MIN(stack_top_index(stack), DEPTH); i++)
    printf("%d:\t%f\n", MIN(stack_top_index(stack), DEPTH)-i, 
           stack_elem(stack, (stack_top_index(stack)-MIN(DEPTH, stack_top_index(stack))+i)));

  return 0;
}
